# maxdb_stmt_close_long_data

# maxdb_stmt::close_long_data

(PECL maxdb 1.0)

maxdb_stmt_close_long_data -- maxdb_stmt::close_long_data — Ends a sequence of maxdb_stmt_send_long_data()

### Description

Procedural style

maxdb_stmt_close_long_data ( resource `$stmt` , int `$param_nr` ) : bool

Object oriented style

maxdb_stmt::close_long_data ( void ) : bool

This function has to be called after a sequence of maxdb_stmt_send_long_data(), that was started after maxdb_execute().

`param_nr` indicates which parameter to associate the end of data with. Parameters are numbered beginning with 0.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- maxdb_prepare() - Prepare an SQL statement for execution
- maxdb_stmt_bind_param() - Binds variables to a prepared statement as parameters